require ("de-GUI")


script.on_init(function ()
  for player_index, player in pairs (game.players) do
    add_gui(player_index)
  end
  find_entities (event)
end)

script.on_event(defines.events.on_gui_click, function (event)
	on_gui_click (event)
end)


function find_entities (event)
  local surface = game.surfaces[1]
  if not global then global = {} end
  local entities = surface.find_entities_filtered{name='roboport'}
  global.entities = entities -- must be added, not rewritten
end


function on_gui_click (event)
  local player = game.players[event.player_index]
	if event.element.name == "de_roboport" then 
    printAll("de_roboport")
    change_color(player)
    active_roboports (global.roboport.enabled)
  end
end

function active_roboports (active) -- active is bool
  for i, roboport in pairs (global.entities) do
    if roboport.valid then
      roboport.active = active
    end
  end
end

function printAll(text)
  if type (text) == "table" then
    text = serpent.block(text, {comment = false})
  end
	log (text)
	for player_index, player in pairs (game.players) do
		game.players[player_index].print (text)
	end
end